package com.crm.manager.service;

import com.crm.rely.backend.core.dto.base.ResultWithPagerDto;
import com.crm.rely.backend.core.dto.system.bank.SysBankListDto;
import com.crm.rely.backend.core.dto.system.bank.SysBankSearchListDto;
import com.crm.rely.backend.core.entity.base.SingleLongEntity;
import com.crm.rely.backend.core.entity.system.bank.SysBankAddEntity;
import com.crm.rely.backend.core.entity.system.bank.SysBankDeleteEntitys;
import com.crm.rely.backend.core.entity.system.bank.SysBankSearchListEntity;
import com.crm.rely.backend.core.entity.system.bank.SysBankUpdateEntity;
import com.crm.rely.backend.exception.ServiceException;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

public interface SysBankService {

    void add(SysBankAddEntity entity) throws ServiceException;

    void update(SysBankUpdateEntity entity) throws ServiceException;

    void delete(SysBankDeleteEntitys entitys) throws ServiceException;

    ResultWithPagerDto<SysBankSearchListDto> searchPageList(SysBankSearchListEntity entity) throws ServiceException;

    SysBankSearchListDto searchSingle(SingleLongEntity entity) throws ServiceException;

    List<SysBankListDto> getList() throws ServiceException;

    void validated(MultipartFile file) throws ServiceException;

    String uploadFile(MultipartFile file) throws Exception;
}
